import { StudioTemplateProperty } from "../../../common/studio/studio-model";
import { ProjectModel } from "../../../common/model/cuba-model";
import { YeomanGenerator } from "../../YeomanGenerator";
import { CommonGenerationOptions } from "../../../common/cli-options";
/**
 * Simply asks the given questions. Usable in most cases (when you don't need complex logic
 * e.g. determine whether to ask a question based on an answer to another question).
 *
 * @param projectModel
 * @param gen
 * @param options
 * @param questions
 */
export declare const defaultGetAnswersFromPrompt: <O extends CommonGenerationOptions, A>(projectModel: ProjectModel, gen: YeomanGenerator, options: O, questions?: StudioTemplateProperty[] | undefined) => Promise<A>;
/**
 * Asks the given questions and returns *refined* answers.
 *
 * @param questions
 * @param projectModel
 * @param gen
 */
export declare const askQuestions: <A>(questions: StudioTemplateProperty[], projectModel: ProjectModel, gen: YeomanGenerator) => Promise<A>;
