import { Entity, ProjectModel } from "../../../../common/model/cuba-model";
import { GraphQLEnumValue, GraphQLType } from "graphql";
export interface GqlAttributeModel {
    kind: 'gql';
    tsType?: string;
    name: string | string[];
    type: string;
    gqlType: GraphQLType;
    displayName: string;
    enumOptions?: Array<GraphQLEnumValue>;
    isSingleRelationField: boolean;
    isMultiRelationField: boolean;
    nestedAttributes?: string[];
}
export declare function isGqlAttributeModel(attr: AttributeModel): attr is GqlAttributeModel;
export interface TsAttributeModel {
    kind: 'ts';
    tsType?: string;
    name: string;
    displayName: string;
}
export declare function isTsAttributeModel(attr: AttributeModel): attr is TsAttributeModel;
export declare type AttributeModel = GqlAttributeModel | TsAttributeModel;
export interface EntityWithPath extends Entity {
    path: string;
}
export interface EntityTemplateModel {
    entity: EntityWithPath;
}
export interface EntityAnswers {
    entity: Entity;
}
export declare function deriveEntity(answers: EntityAnswers, projectModel: ProjectModel): EntityTemplateModel;
