"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTypeFields = void 0;
const graphql_1 = require("graphql");
const unpackPaginationType_1 = require("./unpackPaginationType");
function getTypeFields(entityName, schema) {
    const entityType = schema.getTypeMap()[entityName];
    if (!graphql_1.isInputObjectType(entityType) && !graphql_1.isObjectType(entityType)) {
        throw new Error(`Type ${entityType} does not contain fields. Are you sure it isn't a scalar?`);
    }
    return unpackPaginationType_1.unpackPaginationType(entityType, schema).getFields();
}
exports.getTypeFields = getTypeFields;
//# sourceMappingURL=getTypeFields.js.map