"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAnyLeafType = void 0;
const graphql_1 = require("graphql");
/**
 * A replacement of `isLeafType` from `graphql/type/definition`
 * that returns `true` for non-nullable types
 *
 * @param type
 */
function isAnyLeafType(type) {
    if (type instanceof graphql_1.GraphQLList) {
        return !('getFields' in type.ofType);
    }
    return !('getFields' in type);
}
exports.isAnyLeafType = isAnyLeafType;
//# sourceMappingURL=isAnyLeafType.js.map