"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const isAnyLeafType_1 = require("./isAnyLeafType");
const chai_1 = require("chai");
const definition_1 = require("graphql/type/definition");
const graphql_1 = require("graphql");
describe('isAnyLeafType()', () => {
    it('determines leaf types correctly', () => {
        chai_1.expect(isAnyLeafType_1.isAnyLeafType(new definition_1.GraphQLScalarType({ name: 'test' }))).to.eq(true);
        chai_1.expect(isAnyLeafType_1.isAnyLeafType(new graphql_1.GraphQLList(new definition_1.GraphQLScalarType({ name: 'test' })))).to.eq(true);
        chai_1.expect(isAnyLeafType_1.isAnyLeafType(new graphql_1.GraphQLEnumType({ name: 'test', values: {} }))).to.eq(true);
        chai_1.expect(isAnyLeafType_1.isAnyLeafType(new definition_1.GraphQLObjectType({ name: 'test', fields: {} }))).to.eq(false);
        chai_1.expect(isAnyLeafType_1.isAnyLeafType(new graphql_1.GraphQLList(new definition_1.GraphQLObjectType({ name: 'test', fields: {} })))).to.eq(false);
    });
});
//# sourceMappingURL=isAnyLeafType.test.js.map