import { YeomanGenerator } from "../../../../YeomanGenerator";
/**
 * Defines, which type of route should be generated for component.
 * `with-record-id` - used by default, route generated with ability to pass record id in url
 * 'simple' - now used for blank-component generation, url parameters are not expected
 */
export declare type RouteType = 'with-record-id' | 'simple';
export interface AddAppMenuInput {
    gen: YeomanGenerator;
    dirShift: string;
    route: string;
    routeType?: RouteType;
    componentName: string;
    menuItemName?: string;
    pathToComponent?: string;
}
export declare function addMvpAppMenu({ gen, dirShift, route, routeType, componentName, menuItemName, pathToComponent }: AddAppMenuInput): void;
export declare function transformAddMenuItem(source: string, route: string, componentName: string, menuItemName?: string): string;
export declare function transformAddRouteImport(source: string, componentName: string, componentPath: string, isDefault?: boolean): string;
export declare function transformAddRouteItem(source: string, route: string, routeType: RouteType, componentName: string): string;
