"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const addMvpAppMenu_1 = require("./addMvpAppMenu");
const chai_1 = __importStar(require("chai"));
const chai_string_1 = __importDefault(require("chai-string"));
chai_1.default.use(chai_string_1.default);
describe('transformAddRouteItem', () => {
    it('adds a route item with record id', () => {
        const result = addMvpAppMenu_1.transformAddRouteItem(ADD_ROUTE_ITEM_INPUT, 'pet-list', 'with-record-id', 'PetList');
        chai_1.expect(result).to.equalIgnoreSpaces(`
      export function AppRoutes() {
        return (
          (<Routes>
            <Route path="pet-list">
                  <Route index element={<PetList/>} />
                  <Route path=":recordId" element={<PetList/>} />
                </Route></Routes>)
        );
      }
    `);
    });
    it('adds a simple route item', () => {
        const result = addMvpAppMenu_1.transformAddRouteItem(ADD_ROUTE_ITEM_INPUT, 'pet-list', 'simple', 'PetList');
        chai_1.expect(result).to.equalIgnoreSpaces(`
      export function AppRoutes() {
        return (
          (<Routes>
            <Route path="pet-list" element={<PetList/>} />
          </Routes>)
        );
      }
    `);
    });
});
const ADD_ROUTE_ITEM_INPUT = `
export function AppRoutes() {
  return (
    <Routes>
    </Routes>
  );
}`;
describe('transformAddRouteImport', () => {
    it('adds an import successfully', () => {
        const result = addMvpAppMenu_1.transformAddRouteImport(ADD_ROUTE_IMPORTS_INPUT, 'PetList', './pet-list/PetList');
        chai_1.expect(result).to.be.eq(ADD_ROUTE_IMPORTS_EXPECTED);
    });
});
const ADD_ROUTE_IMPORTS_INPUT = `
import { Home } from "./home/Home";
import { ReactComponent } from "../framework/screen-api/ReactComponent";`;
const ADD_ROUTE_IMPORTS_EXPECTED = `
import { PetList } from "./pet-list/PetList";
import { Home } from "./home/Home";
import { ReactComponent } from "../framework/screen-api/ReactComponent";`;
describe('transformAddMenuItem', () => {
    it('adds a menu item successfully', () => {
        const result = addMvpAppMenu_1.transformAddMenuItem(ADD_MENU_ITEM_INPUT, "pet-list", 'PetListScreenLayout');
        chai_1.expect(result).to.be.eq(ADD_MENU_ITEM_EXPECTED);
    });
});
const ADD_MENU_ITEM_INPUT = `
const menuItems: ItemType[] = [];`;
const ADD_MENU_ITEM_EXPECTED = `
const menuItems: ItemType[] = [{
  label: (
    <Link to="pet-list">
      <FormattedMessage id="screen.PetListScreenLayout" />
    </Link>
  ),
  key: "pet-list"
}];`;
//# sourceMappingURL=addMvpAppMenu.test.js.map