"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addEnvVar = exports.addEnvVarInFile = void 0;
async function addEnvVarInFile(gen, fileName, variableName, value) {
    const filePath = gen.destinationPath(fileName);
    const source = gen.fs.read(filePath);
    const output = addEnvVar(source, variableName, value);
    await gen.fs.write(filePath, output);
}
exports.addEnvVarInFile = addEnvVarInFile;
function addEnvVar(source, variableName, value) {
    if (value == null) {
        // check that all vars are set
        throw new Error(`Variable value for '${variableName}' should be passed in answers`);
    }
    return `${source}\n${variableName}=${value}`;
}
exports.addEnvVar = addEnvVar;
//# sourceMappingURL=addEnvVar.js.map