"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeEnvVar = exports.removeEnvVarInFile = void 0;
async function removeEnvVarInFile(gen, fileName, variableName) {
    const filePath = gen.destinationPath(fileName);
    const source = gen.fs.read(filePath);
    const output = removeEnvVar(source, variableName);
    await gen.fs.write(filePath, output);
}
exports.removeEnvVarInFile = removeEnvVarInFile;
function removeEnvVar(source, variableName) {
    const regex = new RegExp(`^${variableName}.*\\n?`, 'gm');
    return source.replace(regex, '');
}
exports.removeEnvVar = removeEnvVar;
//# sourceMappingURL=removeEnvVar.js.map