"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const removeVarExport_1 = require("./removeVarExport");
const jscodeshift_1 = __importDefault(require("jscodeshift"));
describe('removeVar()', () => {
    it('removes variable from ts file', () => {
        const tsParser = jscodeshift_1.default.withParser('ts');
        const ast = tsParser(file);
        removeVarExport_1.removeVarExport(ast, 'LOGIN_URI');
        removeVarExport_1.removeVarExport(ast, 'LOGOUT_URI');
        removeVarExport_1.removeVarExport(ast, 'REQUEST_SAME_ORIGIN');
        removeVarExport_1.removeVarExport(ast, 'DEV_LOGIN');
        removeVarExport_1.removeVarExport(ast, 'DEV_PASSWORD');
        chai_1.expect(ast.toSource()).to.eq(fileModified);
    });
});
const file = `
export const GRAPHQL_URI = import.meta.env.VITE_GRAPHQL_URI ?? "/graphql";
export const LOGIN_URI = import.meta.env.VITE_LOGIN_URI ?? "/login";
export const LOGOUT_URI = import.meta.env.VITE_LOGOUT_URI ?? "/logout";
export const REQUEST_SAME_ORIGIN =
  import.meta.env.VITE_REQUEST_SAME_ORIGIN ?? true;
export const DEV_LOGIN = import.meta.env.VITE_DEV_LOGIN ?? "admin";
export const DEV_PASSWORD = import.meta.env.VITE_DEV_PASSWORD ?? "admin";
`;
const fileModified = `
export const GRAPHQL_URI = import.meta.env.VITE_GRAPHQL_URI ?? "/graphql";
`;
//# sourceMappingURL=removeVar.test.js.map