"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeVarExport = exports.removeVarExportInFile = void 0;
const jscodeshift_1 = __importDefault(require("jscodeshift"));
async function removeVarExportInFile(gen, file, variableName) {
    const filePath = gen.destinationPath(file);
    const source = gen.fs.read(filePath);
    const tsParser = jscodeshift_1.default.withParser('ts');
    const ast = tsParser(source);
    removeVarExport(ast, variableName);
    const output = ast.toSource();
    await gen.fs.write(filePath, output);
}
exports.removeVarExportInFile = removeVarExportInFile;
function removeVarExport(ast, variableName) {
    ast.find(jscodeshift_1.default.ExportNamedDeclaration, (node) => node?.declaration?.declarations?.[0]?.id?.name === variableName)
        .remove();
}
exports.removeVarExport = removeVarExport;
//# sourceMappingURL=removeVarExport.js.map