"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isFrontendComponent = exports.param = exports.description = exports.options = exports.generator = exports.name = exports.Auth_Oidc_Keycloak = exports.OIDC_KEYCLOAK_AUTH_DEPS = void 0;
const YeomanGenerator_1 = require("../../../building-blocks/YeomanGenerator");
const amplicode_1 = require("../../../building-blocks/stages/options/pieces/amplicode");
Object.defineProperty(exports, "options", { enumerable: true, get: function () { return amplicode_1.amplicodeCommonOptionsConfig; } });
const raResetAuth_1 = require("../common/auth/raResetAuth");
const path_1 = __importDefault(require("path"));
const amplicodePipeline_1 = require("../../../building-blocks/pipelines/amplicodePipeline");
const write_1 = require("./write");
const npmDeps_1 = require("../common/auth/npmDeps");
const answers_1 = require("./answers");
Object.defineProperty(exports, "param", { enumerable: true, get: function () { return answers_1.raOidcKeycloakQuestions; } });
exports.OIDC_KEYCLOAK_AUTH_DEPS = {
    'oidc-client-ts': '^2.2.2',
    'react-oidc-context': '^2.2.2'
};
class Auth_Oidc_Keycloak extends YeomanGenerator_1.YeomanGenerator {
    constructor(args, options) {
        super(args, options);
    }
    async cleanup() {
        this.log("auth-oidc-keycloak: perform auth cleanup before generation");
        const dest = this.options.dest;
        const rootPath = path_1.default.isAbsolute(dest) ? dest : path_1.default.join(this.destinationRoot(), dest);
        await raResetAuth_1.raResetAuth(rootPath);
    }
    async writeNpmDeps() {
        this.log("auth-oidc-keycloak: writeNpmDeps");
        const dest = this.options.dest;
        const rootPath = path_1.default.isAbsolute(dest) ? dest : path_1.default.join(this.destinationRoot(), dest);
        npmDeps_1.addNpmDeps(path_1.default.join(rootPath, "package.json"), exports.OIDC_KEYCLOAK_AUTH_DEPS);
    }
    async generate() {
        this.log("auth-oidc-keycloak: generate");
        await amplicodePipeline_1.amplicodePipeline({
            templateDir: path_1.default.join(__dirname, 'template'),
            questions: answers_1.raOidcKeycloakQuestions,
            stages: {
                write: write_1.write_Auth_Oidc_Keycloak
            }
        }, this);
    }
}
exports.Auth_Oidc_Keycloak = Auth_Oidc_Keycloak;
exports.generator = Auth_Oidc_Keycloak;
const name = 'auth-oidc-keycloak';
exports.name = name;
const description = 'OIDC with Keycloak';
exports.description = description;
const isFrontendComponent = false;
exports.isFrontendComponent = isFrontendComponent;
//# sourceMappingURL=index.js.map