"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.write_Auth_Oidc_Keycloak = void 0;
const writeTemplate_1 = require("../../../building-blocks/stages/writing/pieces/writeTemplate");
const path_1 = __importDefault(require("path"));
const addEnvVar_1 = require("../../../building-blocks/stages/writing/pieces/source-utils/variables/addEnvVar");
async function write_Auth_Oidc_Keycloak(templateModel, gen) {
    await writeTemplate_1.writeTemplate(gen, templateModel, path_1.default.join(__dirname, 'template'));
    for (const fileName of ['.env.development', '.env.production']) {
        await addEnvVar_1.addEnvVarInFile(gen, fileName, 'VITE_OIDC_CONFIG_AUTHORITY', templateModel.authorityUrl);
        await addEnvVar_1.addEnvVarInFile(gen, fileName, 'VITE_OIDC_CONFIG_CLIENT_ID', templateModel.clientId);
        await addEnvVar_1.addEnvVarInFile(gen, fileName, 'VITE_OIDC_CONFIG_SCOPE', templateModel.scope);
    }
}
exports.write_Auth_Oidc_Keycloak = write_Auth_Oidc_Keycloak;
//# sourceMappingURL=write.js.map