"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeNpmDeps = exports.addNpmDeps = void 0;
const updateNpmDeps_1 = require("../../../../building-blocks/stages/writing/pieces/npm/updateNpmDeps");
const fs_1 = __importDefault(require("fs"));
function readJSON(packageJsonPath) {
    console.log(`readJSON`, packageJsonPath);
    return JSON.parse(fs_1.default.readFileSync(packageJsonPath, 'utf-8'));
}
function writeJSON(packageJsonPath, output) {
    console.log(`writeJSON`, packageJsonPath);
    fs_1.default.writeFileSync(packageJsonPath, JSON.stringify(output, null, 2));
}
function addNpmDeps(packageJsonPath, newDeps) {
    const source = readJSON(packageJsonPath);
    const output = JSON.parse(JSON.stringify(source));
    updateNpmDeps_1.addDeps(output, newDeps);
    writeJSON(packageJsonPath, output);
}
exports.addNpmDeps = addNpmDeps;
function removeNpmDeps(packageJsonPath, deps) {
    const source = readJSON(packageJsonPath);
    const output = JSON.parse(JSON.stringify(source));
    updateNpmDeps_1.removeDeps(output, deps);
    writeJSON(packageJsonPath, output);
}
exports.removeNpmDeps = removeNpmDeps;
//# sourceMappingURL=npmDeps.js.map