"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeVarExportInFile = void 0;
const jscodeshift_1 = __importDefault(require("jscodeshift"));
const removeVarExport_1 = require("../../../../building-blocks/stages/writing/pieces/source-utils/variables/removeVarExport");
const fs_1 = __importDefault(require("fs"));
function removeVarExportInFile(filePath, variableNames) {
    const source = fs_1.default.readFileSync(filePath, 'utf-8');
    const tsParser = jscodeshift_1.default.withParser('ts');
    const ast = tsParser(source);
    variableNames.forEach(variableName => {
        console.log(`removeVarExport: '${variableName}' from file '${filePath}'`);
        removeVarExport_1.removeVarExport(ast, variableName);
    });
    const output = ast.toSource();
    fs_1.default.writeFileSync(filePath, output);
}
exports.removeVarExportInFile = removeVarExportInFile;
//# sourceMappingURL=removeVarExportInFile.js.map