"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeRecordRepresentationFunction = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const reactAdminUtilModel_1 = require("../reactAdminUtilModel");
const recordRepresentationFunctionPath_1 = require("./recordRepresentationFunctionPath");
async function writeRecordRepresentationFunction({ gen, entityName, attributes, dirShift, idAttrName = 'id' }) {
    const functionPath = `${recordRepresentationFunctionPath_1.recordRepresentationFunctionPath(path_1.default.join(gen.destinationPath(), dirShift ?? ''), entityName)}.ts`;
    if (fs_1.default.existsSync(functionPath)) {
        // TODO throw error
        return;
    }
    const templatePath = path_1.default.resolve(__dirname, 'template/RecordRepresentationFunction.ejs');
    const templateModel = {
        attributes,
        entityName,
        idAttrName,
        ...reactAdminUtilModel_1.reactAdminUtilModel
    };
    await gen.fs.copyTpl(templatePath, functionPath, templateModel);
}
exports.writeRecordRepresentationFunction = writeRecordRepresentationFunction;
//# sourceMappingURL=writeRecordRepresentationFunction.js.map