"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeEntityEditor = void 0;
const mvp_1 = require("../../../building-blocks/stages/writing/pieces/mvp/mvp");
const path_1 = __importDefault(require("path"));
const writeResourceToMenu_1 = require("../common/writeResourceToMenu");
const writeScreenToAdminUi_1 = require("../common/writeScreenToAdminUi");
const generatorPaths_1 = require("../common/generatorPaths");
const writeRecordRepresentationFunctionsForRelations_1 = require("../common/recordRepresentation/writeRecordRepresentationFunctionsForRelations");
const writeRecordRepresentationFunction_1 = require("../common/recordRepresentation/writeRecordRepresentationFunction");
async function writeEntityEditor(templateModel, gen) {
    const { relDirShift, entityName, } = templateModel;
    await mvp_1.writeAmplicodeComponent({ componentName: templateModel.createComponentName, ...templateModel }, gen, path_1.default.join(__dirname, 'template', 'CreateAdvanced.tsx.ejs'), false, false);
    await mvp_1.writeAmplicodeComponent({ componentName: templateModel.editComponentName, ...templateModel }, gen, path_1.default.join(__dirname, 'template', 'EditAdvanced.tsx.ejs'), false, false);
    const screenPaths = generatorPaths_1.deriveScreenPaths(gen.destinationRoot(), relDirShift);
    // Add menu item
    writeResourceToMenu_1.writeResourceToMenu(gen, screenPaths.srcPath, entityName);
    // Add screens to <AdminUI> in App.tsx
    writeScreenToAdminUi_1.writeScreenToAdminUi(gen, screenPaths, entityName, templateModel.createComponentName, "create");
    writeScreenToAdminUi_1.writeScreenToAdminUi(gen, screenPaths, entityName, templateModel.editComponentName, "edit");
    await writeRecordRepresentationFunction_1.writeRecordRepresentationFunction({
        gen: gen,
        entityName: templateModel.entityName,
        attributes: templateModel.allAttributes,
        dirShift: templateModel.relDirShift
    });
    await writeRecordRepresentationFunctionsForRelations_1.writeRecordRepresentationFunctionsForRelations(gen, templateModel.attributes, templateModel.relDirShift);
}
exports.writeEntityEditor = writeEntityEditor;
//# sourceMappingURL=write.js.map