"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.entityListQuestions = void 0;
exports.entityListQuestions = [
    {
        caption: 'Query to load items',
        code: 'listQuery',
        propertyType: "GRAPHQL_QUERY" /* GRAPHQL_QUERY */,
        required: true,
        step: {
            name: 'Entity List',
            order: '1'
        }
    },
    {
        caption: 'Mutation to delete an item',
        code: 'deleteMutation',
        propertyType: "GRAPHQL_MUTATION" /* GRAPHQL_MUTATION */,
        relatedProperty: 'listQuery',
        required: false,
        step: {
            name: 'Entity List',
            order: '2'
        }
    },
    {
        caption: 'Component name',
        code: 'componentName',
        propertyType: "POLYMER_COMPONENT_NAME" /* POLYMER_COMPONENT_NAME */,
        relatedProperty: 'listQuery',
        defaultValue: 'List',
        required: true,
        step: {
            name: 'Entity List',
            order: '3'
        }
    },
    {
        caption: "Select arguments to order by",
        code: "orderByArguments",
        propertyType: "ORDER_QUERY_ARGUMENT_ARRAY" /* ORDER_QUERY_ARGUMENT_ARRAY */,
        relatedProperty: 'listQuery',
        required: false,
        step: {
            name: 'Entity List',
            order: '4'
        }
    },
    {
        caption: "Select arguments to filter by",
        code: "filterByArguments",
        propertyType: "FILTER_QUERY_ARGUMENT_ARRAY" /* FILTER_QUERY_ARGUMENT_ARRAY */,
        relatedProperty: 'listQuery',
        required: false,
        step: {
            name: "Entity List",
            order: "5",
        }
    },
    {
        caption: "Select argument for pagination",
        code: "paginationArgument",
        propertyType: "PAGINATION_ARGUMENT" /* PAGINATION_ARGUMENT */,
        relatedProperty: "listQuery",
        required: false,
        step: {
            name: "Entity List",
            order: "5"
        }
    },
];
//# sourceMappingURL=answers.js.map