import { AmplicodeComponentOptions } from "../../../building-blocks/stages/options/pieces/amplicode";
import { AmplicodeTemplateModelStage } from "../../../building-blocks/pipelines/amplicodePipeline";
import { BaseTemplateModel } from "../../../building-blocks/stages/template-model/pieces/amplicode/BaseTemplateModel";
import { GqlAttributeModel } from "../../../building-blocks/stages/template-model/pieces/entity";
import { AdvancedListAnswers } from "./answers";
import { ReactAdminUtilModel } from "../common/reactAdminUtilModel";
export interface AdvancedListModel extends BaseTemplateModel, ReactAdminUtilModel {
    componentName: string;
    itemComponentName?: string;
    entityName: string;
    queryName: string;
    queryString: string;
    deleteMutationName?: string;
    deleteMutationString?: string;
    refetchQuery: string;
    attributes: GqlAttributeModel[];
    allAttributes: string[];
    sortableAttrs: string[];
    filters: Array<{
        name: string | string[];
        type: string;
    }>;
    withFilters: boolean;
    resultDataPath: string;
    withPagination: boolean;
    paginationArgument?: string;
    relDirShift: string;
    schema?: string;
}
declare type AdvancedListTemplateModelStage = AmplicodeTemplateModelStage<AmplicodeComponentOptions, AdvancedListAnswers, AdvancedListModel>;
export declare const deriveAdvancedListModel: AdvancedListTemplateModelStage;
export {};
