import {PropsWithChildren, useEffect} from "react";
import React from "react";
import {useSecurity} from "./useSecurity";
import { observer } from "mobx-react";

export const Auth = observer(({children}: PropsWithChildren<unknown>) => {
  const {initialize, isLoggedIn, login} = useSecurity();

  useEffect(() => {
    if (isLoggedIn) {
      initialize();
    } else {
      login();
    }
  }, [initialize, login, isLoggedIn]);

  return <>{children}</>;
});

