"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.write_Auth_OAuth2_Keycloak_Stateful = void 0;
const writeTemplate_1 = require("../../../building-blocks/stages/writing/pieces/writeTemplate");
const replaceStringValue_1 = require("../../../building-blocks/stages/writing/pieces/source-utils/variables/replaceStringValue");
const resetAuth_1 = require("../../../building-blocks/stages/writing/pieces/auth/resetAuth");
const path_1 = __importDefault(require("path"));
const appendCode_1 = require("../../../building-blocks/stages/writing/pieces/source-utils/appendCode");
const addEnvVar_1 = require("../../../building-blocks/stages/writing/pieces/source-utils/variables/addEnvVar");
async function write_Auth_OAuth2_Keycloak_Stateful(templateModel, gen) {
    await resetAuth_1.resetAuth(gen, templateModel, {});
    await writeTemplate_1.writeTemplate(gen, templateModel, path_1.default.join(__dirname, 'template'));
    // Add login/logout endpoints
    await replaceStringValue_1.replaceStringValueInFile(gen, 'vite.config.ts', 'AMPLICODE_ENDPOINTS', 'graphql|oauth2|logout');
    // Add environment variables
    const envVarConfig = `export const LOGIN_URI = import.meta.env.VITE_LOGIN_URI ?? "/login";
  export const LOGOUT_URI = import.meta.env.VITE_LOGOUT_URI ?? "/logout";
  export const REQUEST_SAME_ORIGIN =
    import.meta.env.VITE_REQUEST_SAME_ORIGIN ?? true;`;
    await appendCode_1.appendCodeInFile(gen, 'src/config.ts', envVarConfig);
    for (const fileName of ['.env.development', '.env.production']) {
        await addEnvVar_1.addEnvVarInFile(gen, fileName, 'VITE_LOGIN_URI', '/oauth2/authorization/keycloak');
        await addEnvVar_1.addEnvVarInFile(gen, fileName, 'VITE_LOGOUT_URI', '/logout');
        await addEnvVar_1.addEnvVarInFile(gen, fileName, 'VITE_REQUEST_SAME_ORIGIN', 'true');
    }
}
exports.write_Auth_OAuth2_Keycloak_Stateful = write_Auth_OAuth2_Keycloak_Stateful;
//# sourceMappingURL=write.js.map