"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeAuthOidcKeycloak = void 0;
const resetAuth_1 = require("../../../building-blocks/stages/writing/pieces/auth/resetAuth");
const writeTemplate_1 = require("../../../building-blocks/stages/writing/pieces/writeTemplate");
const path_1 = __importDefault(require("path"));
const authDeps_1 = require("../../../building-blocks/stages/writing/pieces/auth/authDeps");
const addEnvVar_1 = require("../../../building-blocks/stages/writing/pieces/source-utils/variables/addEnvVar");
async function writeAuthOidcKeycloak(templateModel, gen) {
    gen.log('templateModel', templateModel);
    await resetAuth_1.resetAuth(gen, templateModel, { 'oidc-client-ts': authDeps_1.AUTH_DEPS["oidc-client-ts"], 'react-oidc-context': authDeps_1.AUTH_DEPS["react-oidc-context"] });
    await writeTemplate_1.writeTemplate(gen, templateModel, path_1.default.join(__dirname, 'template'));
    for (const fileName of ['.env.development', '.env.production']) {
        await addEnvVar_1.addEnvVarInFile(gen, fileName, 'VITE_OIDC_CONFIG_AUTHORITY', templateModel.authorityUrl);
        await addEnvVar_1.addEnvVarInFile(gen, fileName, 'VITE_OIDC_CONFIG_CLIENT_ID', templateModel.clientId);
        await addEnvVar_1.addEnvVarInFile(gen, fileName, 'VITE_OIDC_CONFIG_SCOPE', templateModel.scope);
    }
}
exports.writeAuthOidcKeycloak = writeAuthOidcKeycloak;
//# sourceMappingURL=write.js.map