"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.index = exports.icon = exports.description = exports.caption = exports.params = exports.options = exports.generator = exports.name = exports.MvpEntityEditor = void 0;
const YeomanGenerator_1 = require("../../../building-blocks/YeomanGenerator");
const amplicodePipeline_1 = require("../../../building-blocks/pipelines/amplicodePipeline");
const path_1 = __importDefault(require("path"));
const answers_1 = require("./answers");
Object.defineProperty(exports, "params", { enumerable: true, get: function () { return answers_1.entityDetailsQuestions; } });
const template_model_1 = require("./template-model");
const amplicode_1 = require("../../../building-blocks/stages/options/pieces/amplicode");
Object.defineProperty(exports, "options", { enumerable: true, get: function () { return amplicode_1.amplicodeComponentOptionsConfig; } });
const write_1 = require("./write");
class MvpEntityEditor extends YeomanGenerator_1.YeomanGenerator {
    constructor(args, options) {
        super(args, options);
    }
    async generate() {
        await amplicodePipeline_1.amplicodePipeline({
            templateDir: path_1.default.join(__dirname, 'template'),
            questions: answers_1.entityDetailsQuestions,
            stages: {
                deriveTemplateModel: template_model_1.deriveEntityDetailsTemplateModel,
                write: write_1.writeEntityDetails
            }
        }, this);
    }
}
exports.MvpEntityEditor = MvpEntityEditor;
exports.generator = MvpEntityEditor;
const name = 'entity-details';
exports.name = name;
const caption = 'Entity Details';
exports.caption = caption;
const description = 'Entity editor or read-only details screen';
exports.description = description;
const icon = 'entity-details.svg';
exports.icon = icon;
const index = 40;
exports.index = index;
//# sourceMappingURL=index.js.map