import { AmplicodeTemplateModelStage } from "../../../building-blocks/pipelines/amplicodePipeline";
import { AmplicodeComponentOptions } from "../../../building-blocks/stages/options/pieces/amplicode";
import { MvpEntityEditorAnswers } from "./answers";
import { DocumentNode, GraphQLSchema } from "graphql";
import { UtilTemplateModel } from "../../../building-blocks/stages/template-model/pieces/util";
import { BaseTemplateModel } from "../../../building-blocks/stages/template-model/pieces/amplicode/BaseTemplateModel";
import { GqlAttributeModel } from "../../../building-blocks/stages/template-model/pieces/entity";
import { ClientValidationRuleMapping } from "./client-validation";
export interface MvpEntityEditorTemplateModel extends BaseTemplateModel, UtilTemplateModel, GraphQLEditorModel {
    componentName: string;
    caption: string;
    relDirShift: string;
    schema?: string;
    queryString: string;
    mutationString?: string;
    idField: string;
    clientValidationRules: ClientValidationRuleMapping;
    validatorImports: string[];
}
interface GraphQLEditorModel extends UsingScalars {
    queryName: string;
    idIsNotNull: boolean;
    mutationName?: string;
    entityName: string;
    attributes: GqlAttributeModel[];
    inputVariableName?: string;
    inputTypeName?: string;
    allAttributes: string[];
}
export declare const deriveEntityDetailsTemplateModel: AmplicodeTemplateModelStage<AmplicodeComponentOptions, MvpEntityEditorAnswers, MvpEntityEditorTemplateModel>;
export declare function deriveGraphQLEditorModel(queryNode: DocumentNode, idField: string, schema?: GraphQLSchema, mutationNode?: DocumentNode): GraphQLEditorModel;
export interface UsingScalars {
    hasStringScalars?: boolean;
    hasIntScalars?: boolean;
    hasFloatScalars?: boolean;
    hasIDScalars?: boolean;
    hasBooleanScalars?: boolean;
    hasEnumScalars?: boolean;
    hasUnknownCustomScalars?: boolean;
    hasRelationFields?: boolean;
    hasDateScalars?: boolean;
    hasTimeScalars?: boolean;
}
export declare function deriveUsingScalars(attributes: GqlAttributeModel[]): UsingScalars;
export {};
