"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeEntityDetails = void 0;
const mvp_1 = require("../../../building-blocks/stages/writing/pieces/mvp/mvp");
const path_1 = __importDefault(require("path"));
const writeDisplayNameFunctionsForRelations_1 = require("../../../building-blocks/stages/writing/pieces/display-name/writeDisplayNameFunctionsForRelations");
const writeGraphQLSchema_1 = require("../common/writeGraphQLSchema");
const writeDisplayNameFunction_1 = require("../../../building-blocks/stages/writing/pieces/display-name/writeDisplayNameFunction");
async function writeEntityDetails(templateModel, gen) {
    if (templateModel.mutationName != null && templateModel.mutationString != null) {
        await mvp_1.writeAmplicodeComponent(templateModel, gen, path_1.default.join(__dirname, 'template', 'EntityEditor.tsx.ejs'));
    }
    else {
        await mvp_1.writeAmplicodeComponent(templateModel, gen, path_1.default.join(__dirname, 'template', 'EntityDetails.tsx.ejs'));
    }
    await writeDisplayNameFunction_1.writeDisplayNameFunction({
        gen,
        entityName: templateModel.entityName,
        attributes: templateModel.allAttributes,
        dirShift: templateModel.relDirShift,
        idAttrName: templateModel.idField
    });
    await writeDisplayNameFunctionsForRelations_1.writeDisplayNameFunctionsForRelations(gen, templateModel.attributes, templateModel.relDirShift);
    writeGraphQLSchema_1.writeGraphQLSchema(gen, templateModel, path_1.default.join('..', templateModel.relDirShift));
}
exports.writeEntityDetails = writeEntityDetails;
//# sourceMappingURL=write.js.map