"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.entityListCardsQuestions = void 0;
exports.entityListCardsQuestions = [
    {
        caption: 'Query to load items',
        code: 'query',
        propertyType: "GRAPHQL_QUERY" /* GRAPHQL_QUERY */,
        required: true,
        step: {
            name: 'Entity List',
            order: '1'
        }
    },
    {
        caption: 'Mutation to delete an item',
        // TODO rename with 'deleteMutation'
        code: 'mutation',
        propertyType: "GRAPHQL_MUTATION" /* GRAPHQL_MUTATION */,
        relatedProperty: 'query',
        required: false,
        step: {
            name: 'Entity List',
            order: '2'
        }
    },
    {
        caption: 'Component name',
        code: 'componentName',
        propertyType: "POLYMER_COMPONENT_NAME" /* POLYMER_COMPONENT_NAME */,
        relatedProperty: 'query',
        defaultValue: 'List',
        required: true,
        step: {
            name: 'Entity List',
            order: '3'
        }
    },
    {
        caption: 'Component route',
        code: 'route',
        propertyType: "ROUTE" /* ROUTE */,
        required: true,
        relatedProperty: 'componentName',
        step: {
            name: 'Entity List',
            order: '3'
        }
    },
    {
        caption: 'Entity list mode',
        // description: 'Possible values: ' +
        //   '"Edit" (there will be buttons to create and edit entity), ' +
        //   '"None" (read-only, there will be no action buttons), ' +
        //   '"Details" (read-only, there will be a button to view entity details). ' +
        //   'Presence of delete button depends on whether delete mutation has been provided.',
        code: 'mode',
        propertyType: "RADIO" /* RADIO */,
        defaultValue: 'Edit',
        options: ['Edit', 'Details', 'None'],
        step: {
            name: 'Entity List',
            order: '3'
        }
    },
    {
        caption: 'Name of the id attribute',
        code: 'idField',
        propertyType: "OPTION" /* OPTION */,
        relatedProperty: 'query',
        options: [],
        required: false,
        step: {
            name: 'Entity List',
            order: '3'
        }
    },
    {
        caption: "Select arguments to filter by",
        code: "filterByArguments",
        propertyType: "FILTER_QUERY_ARGUMENT_ARRAY" /* FILTER_QUERY_ARGUMENT_ARRAY */,
        relatedProperty: 'query',
        required: false,
        step: {
            name: 'Entity List',
            order: '3'
        }
    },
    {
        caption: "Select arguments to order by",
        code: "orderByArguments",
        propertyType: "ORDER_QUERY_ARGUMENT_ARRAY" /* ORDER_QUERY_ARGUMENT_ARRAY */,
        relatedProperty: 'query',
        required: false,
        step: {
            name: 'Entity List',
            order: '3'
        }
    },
    {
        caption: "Pagination type",
        code: "paginationType",
        propertyType: "PAGINATION_TYPE" /* PAGINATION_TYPE */,
        relatedProperty: 'query',
        required: false,
        step: {
            name: 'Entity List',
            order: '3'
        }
    },
    {
        caption: "Add to menu",
        code: "shouldAddToMenu",
        propertyType: "BOOLEAN" /* BOOLEAN */,
        required: true,
        defaultValue: true,
        step: {
            name: 'Entity List',
            order: '3'
        }
    }
];
//# sourceMappingURL=answers.js.map