"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.index = exports.icon = exports.description = exports.caption = exports.params = exports.options = exports.generator = exports.name = exports.EntityListCardsGenerator = void 0;
const YeomanGenerator_1 = require("../../../building-blocks/YeomanGenerator");
const amplicode_1 = require("../../../building-blocks/stages/options/pieces/amplicode");
Object.defineProperty(exports, "options", { enumerable: true, get: function () { return amplicode_1.amplicodeComponentOptionsConfig; } });
const amplicodePipeline_1 = require("../../../building-blocks/pipelines/amplicodePipeline");
const path_1 = __importDefault(require("path"));
const answers_1 = require("./answers");
Object.defineProperty(exports, "params", { enumerable: true, get: function () { return answers_1.entityListCardsQuestions; } });
const template_model_1 = require("./template-model");
const write_1 = require("../entity-list/write");
class EntityListCardsGenerator extends YeomanGenerator_1.YeomanGenerator {
    constructor(args, options) {
        super(args, options);
    }
    async generate() {
        await amplicodePipeline_1.amplicodePipeline({
            templateDir: path_1.default.join(__dirname, 'template'),
            questions: answers_1.entityListCardsQuestions,
            stages: {
                deriveTemplateModel: template_model_1.deriveEntityListCardsTemplateModel,
                write: write_1.writeEntityList
            }
        }, this);
    }
}
exports.EntityListCardsGenerator = EntityListCardsGenerator;
exports.generator = EntityListCardsGenerator;
const name = 'entity-list-cards';
exports.name = name;
const caption = 'Entity Cards';
exports.caption = caption;
const description = 'Set of entities displayed as cards';
exports.description = description;
const icon = 'cards.svg';
exports.icon = icon;
const index = 30;
exports.index = index;
//# sourceMappingURL=index.js.map