"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const template_model_1 = require("./template-model");
const test_commons_1 = require("../../../test/test-commons");
const chai_1 = require("chai");
describe('deriveOrderByTemplateModel', async () => {
    it('determines direction and property (petclinic schema)', async () => {
        const templateModel = template_model_1.deriveOrderByTemplateModel('ownerListSorted', ['CITY', 'FIRST_NAME', 'LAST_NAME'], await test_commons_1.getMockSchema());
        chai_1.expect(templateModel.sortDirectionType).to.eq('Direction');
        chai_1.expect(templateModel.sortPropertyType).to.eq('OwnerOrderByProperty');
    });
    it('determines direction and property (planes schema)', async () => {
        const templateModel = template_model_1.deriveOrderByTemplateModel('airlineList', ['NAME'], await test_commons_1.getPlanesSchema());
        chai_1.expect(templateModel.sortDirectionType).to.eq('SortDirection');
        chai_1.expect(templateModel.sortPropertyType).to.eq('AirlineOrderByProperty');
    });
});
//# sourceMappingURL=template-model.test.js.map