"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const template_model_1 = require("./template-model");
const chai_1 = __importStar(require("chai"));
const chai_as_promised_1 = __importDefault(require("chai-as-promised"));
chai_1.default.use(chai_as_promised_1.default);
const test_commons_1 = require("../../../test/test-commons");
describe('entity-management template-model stage', () => {
    it('should throw an error when edit mode and no upsert mutation', async () => {
        const answers = {
            listComponentName: 'TestOwnerCards',
            itemComponentName: 'TestOwnerCardsDetails',
            route: 'test-owner-cards',
            shouldAddToMenu: true,
            listQuery: `
        query Get_Owner_List {
          ownerList {
            id
            firstName
            lastName
            city
            address
            telephone
            email
          }
        }`,
            detailsQuery: `
        query Get_Owner($id: ID) {
          owner(id: $id) {
            id
            firstName
            lastName
            city
            address
            telephone
            email
          }
        }`,
            mode: 'Edit',
            type: 'Table',
            componentName: 'TestOwnerCards'
            // no upsertMutation!
        };
        await chai_1.expect(template_model_1.deriveManagementTemplateModel({ schema: [['../../../../scripts/schema/schema.graphql']], dirShift: '../../' }, answers, await test_commons_1.getMockSchema())).to.be.rejectedWith(template_model_1.EDIT_WITHOUT_UPSERT_ERROR);
    });
});
//# sourceMappingURL=template-model.test.js.map