"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.description = exports.isFrontendComponent = exports.params = exports.options = exports.generator = exports.name = exports.InsertedListFromArrayGenerator = void 0;
const YeomanGenerator_1 = require("../../../building-blocks/YeomanGenerator");
const amplicode_1 = require("../../../building-blocks/stages/options/pieces/amplicode");
Object.defineProperty(exports, "options", { enumerable: true, get: function () { return amplicode_1.amplicodeInsertCodeOptionsConfig; } });
const amplicodePipeline_1 = require("../../../building-blocks/pipelines/amplicodePipeline");
const path_1 = __importDefault(require("path"));
const answers_1 = require("./answers");
Object.defineProperty(exports, "params", { enumerable: true, get: function () { return answers_1.insertedListFromArrayQuestions; } });
const template_model_1 = require("./template-model");
const write_1 = require("./write");
class InsertedListFromArrayGenerator extends YeomanGenerator_1.YeomanGenerator {
    constructor(args, options) {
        super(args, options);
    }
    async generate() {
        await amplicodePipeline_1.amplicodePipeline({
            templateDir: path_1.default.join(__dirname, 'template'),
            questions: answers_1.insertedListFromArrayQuestions,
            stages: {
                deriveTemplateModel: template_model_1.deriveInsertedListFromArrayTemplateModel,
                write: write_1.writeInsertedListFromArray
            }
        }, this);
    }
}
exports.InsertedListFromArrayGenerator = InsertedListFromArrayGenerator;
exports.generator = InsertedListFromArrayGenerator;
const name = 'inserted-list-from-array';
exports.name = name;
const description = 'Generate code for inserting list to existing react component';
exports.description = description;
const isFrontendComponent = false;
exports.isFrontendComponent = isFrontendComponent;
//# sourceMappingURL=index.js.map