"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeInsertedListFromGql = void 0;
const path_1 = __importDefault(require("path"));
const base64_1 = require("../../../building-blocks/util/base64");
const ejs_1 = require("ejs");
const writeDisplayNameFunctionsForRelations_1 = require("../../../building-blocks/stages/writing/pieces/display-name/writeDisplayNameFunctionsForRelations");
const entity_1 = require("../../../building-blocks/stages/template-model/pieces/entity");
async function writeInsertedListFromGql(templateModel, gen) {
    const importsTemplateName = 'importsCards.tsx.ejs';
    const afterImportsTemplateName = 'afterImportsCards.tsx.ejs';
    const beforeInsertionTemplateName = 'beforeInsertionCards.tsx.ejs';
    const insertionContextTemplateName = 'insertionContextCards.tsx.ejs';
    const insertionPointTemplateName = 'insertionPointCards.tsx.ejs';
    const afterInsertionTemplateName = 'afterInsertionCards.tsx.ejs';
    const gqlAttributes = templateModel.attributes.filter(entity_1.isGqlAttributeModel);
    await writeDisplayNameFunctionsForRelations_1.writeDisplayNameFunctionsForRelations(gen, gqlAttributes, templateModel.relDirShift);
    const imports = await ejs_1.renderFile(path_1.default.join(__dirname, 'template', importsTemplateName), templateModel);
    const afterImports = await ejs_1.renderFile(path_1.default.join(__dirname, 'template', afterImportsTemplateName), templateModel);
    const beforeInsertion = await ejs_1.renderFile(path_1.default.join(__dirname, 'template', beforeInsertionTemplateName), templateModel);
    const insertionContext = await ejs_1.renderFile(path_1.default.join(__dirname, 'template', insertionContextTemplateName), templateModel);
    const insertionPoint = await ejs_1.renderFile(path_1.default.join(__dirname, 'template', insertionPointTemplateName), templateModel);
    const afterInsertion = await ejs_1.renderFile(path_1.default.join(__dirname, 'template', afterInsertionTemplateName), templateModel);
    gen.fs.writeJSON(path_1.default.join(templateModel.responseFile), {
        imports: base64_1.encodeBase64(imports),
        afterImports: base64_1.encodeBase64(afterImports),
        beforeInsertion: base64_1.encodeBase64(beforeInsertion),
        insertionContext: base64_1.encodeBase64(insertionContext),
        insertionPoint: base64_1.encodeBase64(insertionPoint),
        afterInsertion: base64_1.encodeBase64(afterInsertion),
    });
}
exports.writeInsertedListFromGql = writeInsertedListFromGql;
//# sourceMappingURL=write.js.map