"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isFrontendComponent = exports.options = exports.generator = exports.name = exports.UpdateSchemaGenerator = void 0;
const YeomanGenerator_1 = require("../../../building-blocks/YeomanGenerator");
const amplicodePipeline_1 = require("../../../building-blocks/pipelines/amplicodePipeline");
const path_1 = __importDefault(require("path"));
const write_1 = require("./write");
const template_model_1 = require("./template-model");
const amplicode_1 = require("../../../building-blocks/stages/options/pieces/amplicode");
Object.defineProperty(exports, "options", { enumerable: true, get: function () { return amplicode_1.amplicodeCommonOptionsConfig; } });
class UpdateSchemaGenerator extends YeomanGenerator_1.YeomanGenerator {
    constructor(args, options) {
        super(args, options);
    }
    async generate() {
        await amplicodePipeline_1.amplicodePipeline({
            templateDir: path_1.default.join(__dirname, 'template'),
            stages: {
                deriveTemplateModel: template_model_1.deriveUpdateSchemaTemplateModel,
                write: write_1.writeSchema
            }
        }, this);
    }
}
exports.UpdateSchemaGenerator = UpdateSchemaGenerator;
exports.generator = UpdateSchemaGenerator;
const name = 'update-schema';
exports.name = name;
const isFrontendComponent = false;
exports.isFrontendComponent = isFrontendComponent;
//# sourceMappingURL=index.js.map