import { OptionsConfig } from "./common/cli-options";
import { StudioTemplateProperty } from "./common/studio/studio-model";
/**
 * @alpha
 */
export interface GeneratedClientInfo {
    bundled: boolean;
    name: string;
    generators: GeneratorInfo[];
    bower?: boolean;
    clientBaseTech?: string;
}
export interface ProvidedClientInfo {
    bower: boolean;
    clientBaseTech: string;
}
export interface GeneratorInfo {
    index: number;
    caption: string;
    name: string;
    description?: string;
    options?: OptionsConfig;
    params?: StudioTemplateProperty[];
    iconPath?: string;
    path: string;
    templateOverride?: string;
    group?: string;
    isFrontendComponent?: boolean;
}
export interface GeneratorDiscoveryOptions {
    customGeneratorPaths?: string[];
}
export declare function collectClients(generatorFileName?: string, opts?: GeneratorDiscoveryOptions): GeneratedClientInfo[];
/**
 * @alpha
 */
export declare function readClient(clientsDirPath: string, clientDirName: string, generatorFileName?: string): GeneratedClientInfo;
export declare function generate(generatorPath: string, options?: {}, templateOverride?: string): Promise<void>;
