"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const amplicodeGetGraphQLSchema_1 = require("../../../../building-blocks/stages/graphql-schema/amplicodeGetGraphQLSchema");
const graphql_1 = require("graphql");
const chai_1 = require("chai");
const path = __importStar(require("path"));
describe('amplicodeGetGraphQLSchema', async () => {
    const RELATIVE_SCHEMA_PATH = './../../../../../../../scripts/schema/schema.graphql';
    const RELATIVE_ADDON_SCHEMA_PATH = './../../../../../../../scripts/schema/defaultaddon.graphqls';
    it('should return schema from single relative path', async () => {
        const opts = {
            schema: [[RELATIVE_SCHEMA_PATH]]
        };
        const schemaStr = graphql_1.printSchema(await amplicodeGetGraphQLSchema_1.amplicodeGetGraphQLSchema(opts, __dirname));
        chai_1.expect(schemaStr).to.contain('type Mutation {');
        chai_1.expect(schemaStr).to.contain('type Query {');
        chai_1.expect(schemaStr).to.contain('notNullScalarsTestEntity(id: ID): NotNullScalarsTestEntity');
        chai_1.expect(schemaStr).to.contain('deleteNotNullScalarsTestEntity(id: ID): Void');
    });
    it('should return schema from single absolute path', async () => {
        const opts = {
            schema: [[path.join(__dirname, RELATIVE_SCHEMA_PATH)]]
        };
        const schemaStr = graphql_1.printSchema(await amplicodeGetGraphQLSchema_1.amplicodeGetGraphQLSchema(opts, ''));
        chai_1.expect(schemaStr).to.contain('type Mutation {');
        chai_1.expect(schemaStr).to.contain('type Query {');
        chai_1.expect(schemaStr).to.contain('notNullScalarsTestEntity(id: ID): NotNullScalarsTestEntity');
        chai_1.expect(schemaStr).to.contain('deleteNotNullScalarsTestEntity(id: ID): Void');
    });
    it('should return schema from multiple paths', async () => {
        const opts = {
            schema: [
                [path.join(__dirname, RELATIVE_SCHEMA_PATH), RELATIVE_ADDON_SCHEMA_PATH]
            ]
        };
        const schemaStr = graphql_1.printSchema(await amplicodeGetGraphQLSchema_1.amplicodeGetGraphQLSchema(opts, __dirname));
        console.log(schemaStr);
        chai_1.expect(schemaStr).to.contain('testEntity(id: ID): TestEntity');
        chai_1.expect(schemaStr).to.contain('deleteTestEntity(id: ID): Boolean!');
        chai_1.expect(schemaStr).to.contain('notNullScalarsTestEntity(id: ID): NotNullScalarsTestEntity');
        chai_1.expect(schemaStr).to.contain('deleteNotNullScalarsTestEntity(id: ID): Void');
    });
});
//# sourceMappingURL=amplicodeGetGraphQLSchema.test.js.map